#pragma once
#ifndef RNA_START_OPTIMISER_H
#define RNA_START_OPTIMISER_H
#include "breakOptimiser.h"
#include "Optimise.h"
#include "pssmData.h"
#include "mRNAinfo.h"
using namespace std;

#pragma warning (disable: 4996)  //strdup warning

class RNAStartDataSet : public dataFile , public vector<mRNAinfo>
{
public:
	bool open (const string & filename,mRNAinfoSet & genes,int Ngenes,bool reverse);
	bool open (const string & filename,int numberOfNucs);
	void setData(mRNAinfo & data,int length);
};


class RNAStartOptimiser : public breakOptimiser 
{
public:
	int m_window_size,m_window_scale,m_window_offset;
	int m_first_gene, m_N_genes;
	bool m_carryOver;

	RNAStartDataSet RNAdata;

	RNAStartOptimiser(const char * rootDir,int window_size,int window_scale,int window_offset,int pssmOffset);

	//For mode 1
	bool open(const string & filename,int numberOfNucs,bool logNorm);
	//For mode 2
	bool open(const string & filename,mRNAinfoSet & genes,int Ngenes,bool logNorm);
	void complementGenes();
	//For mode 3
	void getTopGenes(mRNAinfoSet & genes,int Ngenes,int firstGene,const string & firstGeneName);
	void generateSmoothedBreakInfo();

	void outputScores(bool dataIsLogarithmic);
	void outputPeaks();

	ErrorPair calculatePssmWeights();

	virtual ErrorPair ErrorFunc();
	virtual void SaveResults(bool toFile);
	virtual void outputWeightParameters(FILE * f);
	virtual void readWeightParameters(std::ifstream & f,mystring & buffer);


};

#endif
