
#ifndef ALIGNFILE_H
#define ALIGNFILE_H

#include "dataFile.h"

class alignment
{
public:
	bool forward;
	string gene;
	size_t location;
	string sequence;
	int chromosome;
	string id;
};

class alignPair
{
public:
	string id;
	size_t start;
	size_t end;
	size_t length(){return (end  - start);};
};
class geneAlignMents : public multimap<size_t,alignPair>
{
};

class genomeAlignMents : public map<string,geneAlignMents> , public dataFile
{
public:
	geneAlignMents * find(const string & gene);
	void save(const string & filename);
	bool open(const string & filename);
	void saveLengths(const string & filename);
};


class alignFile : public dataFile
{
public:
	alignFile();
	bool read(alignment & a);

};






#endif