#ifndef barfile_h
#define barfile_h
#include "bar.h"

class chrData
{
public:
	chrData():location(0),value(0){};
	size_t location;
	float value;
};

class seq_data
{
public:
	bar_sequence data;
	long file_offset;
	struct tagBARSeq * tagBarData;
};
typedef map<string,seq_data> sequence_map;

/*
The cisGenome browser provides a whole set of methods for processing bar files.   barFile
wraps these in a class in an attempt to expose the most useful features

*/
class barFile : public vector<vector<bar_column> > 
{
	bar * m_bar;
	FILE * m_file;
	struct tagBARData * m_pBARData;
	vector<bar_column> m_data;
	sequence_map m_sequences;

public:
	barFile();
	~barFile();

	string m_filename;

	bool open(const string & file_name,bool fast = false);
	void close();
	//	Gets the list of chromosomes whose data is held in the bar file
	vector<string> GetChrs();
	//	Gets the number of entries for a chromosome
	int getNEntries(const string & chr);
	bool setNEntries(const string & chr,int p);

	// Gets the length of a chromosme
	size_t getLength(const string & chr);

	//	For stepping through the barfile, getting the data one entry at a time
	bool getNext(const string & chr,chrData & data, size_t & p);
	bool getAfter(const string & chr,size_t index,chrData & data, size_t & p);

	bool normalise(const string & chr,unsigned int p,double normaliser);

	bool Initialise(vector<string> & seqNames);

	bool save(const string & filename);

	seq_data & getSeqData(const string & chromosome);




};

#endif
