#pragma once
#include "mRNAinfo.h"
#include "breakOptimiser.h"

class breakListOptimiser : protected COptimise , public weightFileUser
{
	mRNAinfo * m_gene;
	DOUBLE_TYPE m_outstanding;
	DOUBLE_TYPE m_threshold;
	size_t m_offset;
	optiVector m_break_data;
	vector<DOUBLE_TYPE> m_z; 
	vector<DOUBLE_TYPE> m_target; 


protected:
	bool m_reverseSeqs;

public:
	bool m_carryOver;

	breakListOptimiser(bool reverseSeqs): m_reverseSeqs(reverseSeqs), m_carryOver(false){};

	virtual void readWeightParameters(std::ifstream & f,mystring & buffer);

	virtual ErrorPair ErrorFunc();
	virtual void SaveResults(bool toFile);

	void SetGene(mRNAinfo & gene);

	void optimise(size_t offset,size_t size,int iterations,DOUBLE_TYPE threshold,
		DOUBLE_TYPE outstanding);
};
