#include "pch.h"
#include "fastaFile.h"

void trimR(char * buffer)
{
	char * p = strrchr(buffer,13);
	if(p) *p = 0;
}

fastaFile::fastaFile(void) :max_chromosome(0)
{
}

fastaFile::~fastaFile(void)
{
}

bool fastaFile::open(const char * filename)
{
	f.open(filename,ios_base::binary );
	return (f.is_open());
}

bool fastaFile::readName()
{
	if (f.eof())
		return false;
	char c = f.get();
	if (c != '>') 
		return false;

	f.getline(m_name,MAX_LINE);
	trimR(m_name);
	return true;
}

bool fastaFile::readEntry()
{
	if (!readName())
		return false;

	f.getline(m_sequence,MAX_LINE);
	trimR(m_sequence);
	return true;
}

bool fastaFile::readEntry(string & sequence,bool minLoad)
{
	if (!readName())
		return false;

	while((f.peek() != '>') && (!f.eof()))
	{
		f.getline(m_sequence,MAX_LINE);
		if(!minLoad)
		{
			trimR(m_sequence);
			sequence += m_sequence;
		}
	}
	return true;
}




