#ifndef genomefile_h
#define genomefile_h


#include <string>
using namespace std;

class sequence: public string
{
public:
	void operator = (const char * seq) {string::operator = (seq);}; 
	sequence(){};
	sequence(const string & seq) :string(seq){};
	string complement();
};

class genomeFile
{
	char m_root[LINE_LENGTH];
	string m_genStatus;
	string m_seqBuffer;
	struct tagSequence * m_pSeq;

	char * m_seqData;
	size_t m_length;

	struct INTMATRIX * m_pChrLen;
	struct tagString ** m_vChrName;
	int m_nChrNum;


public:
	genomeFile(void);
	~genomeFile(void);
	void freeChromsomeData();

	size_t NChrs();
	size_t getChrLength(size_t chrNum);
	const char * getChrName(size_t chrNum);
	unsigned long long getTotalLength();
	

	size_t Length() {return m_length;};
	const char * DNAbuffer(){return m_seqData;};
	const char * Status(){return m_genStatus.c_str();};
	const char * RootDir(){return m_root;};

//	For opening genomes in cisGenome format
	void setRoot(const string & root);
//	For opening short genomes in fasta format
	bool open(const string & filename);

//	Gets a sequence
	const char * getseq(const char * chr,size_t start, size_t end);

	void printFasta(FILE * f,const char * title,size_t start,size_t end);

};

#endif
