#pragma once
#include <string>
#include <map>
using namespace std;
#include "fastaFile.h"
#include "seqInfo.h"

class nameList : private map<string,int>
{
	string m_list;
public:
	void add(const char * name,bool combineFamilies = true);
	operator string();
};

struct foundSeq
{
	int m_number;
	int m_mismatches;
	string m_seq;
	foundSeq(int n,int m,const string & s):m_number(n),m_mismatches(m),m_seq(s){};
//	foundSeq(const string & s,int m):m_seq(s),m_mismatches(m){};
};

struct foundSeqs : public map<string,foundSeq>{};

struct nameMap : public map<string,string>{};

struct miRNA
{
	nameMap m_names;
	foundSeqs m_foundSeqs;
	miRNA(const char * species,const char * name);
};

struct matchInfo
{
	char * m_name;
	char * m_before;
	char * m_after;
	char * m_sequence;
	matchInfo(const char * name,const char * before,const char * after
		,const char * seqeuence);
	matchInfo(const matchInfo &);
	~matchInfo() {free(m_name);free(m_before);free(m_after);free(m_sequence);};
};

struct matchInfoMap : public multimap<unsigned long,matchInfo>
{
	void insert(unsigned long index,const char * name,const char * before,const char * after
		,const char * sequence);
};

//typedef map<string,miRNA*> orderedByNameType;

struct miRNADataMap :public map<string,miRNA>
{
//	orderedByNameType m_orderedByName;
	matchInfoMap m_matches;
	miRNADataMap::iterator insert(const char * species,const char * name,char * seq);
	void findMatches(Seq_items & seqItems,const options & opts);
	void print (FILE * f,const options & opts);
};

class mirData :
	public fastaFile
{
	miRNADataMap m_allData;
public:
	mirData(void);
	~mirData(void);

	int read(const char * species);
	void findMatches(Seq_items & seqItems,const options & opts);
	void print (FILE * f,const options & opts);
	bool initialised(){ return (m_allData.size() > 0);};

};
