#ifndef ENDIAN_H
#define ENDIAN_H

inline bool is_little_endian(){
	uint x = 1;
	return (1 == *((char*)(&x)));
}

static inline void inl_reverse_buf(char *buf, const int size){
	int i;
	for (i = 0; i < size / 2; i++) {
		char temp = buf[i];
		buf[i] = buf[size - 1 - i];
		buf[size - 1 - i] = temp;
	}
}

inline size_t big_endian_fread( void * ptr, size_t size, size_t count, FILE * stream ){
	char *temp;
	temp = new char[size * count];
	size_t result = fread(temp, size, count, stream);
	if (is_little_endian()) {
		int i;
		for (i = 0; i < (int)count; i++) {
			inl_reverse_buf(temp + (int)size * i, (int)size);
		}
	}
	memcpy(ptr, temp, size*count);
	delete[] temp;
	return result;
}
#endif //ENDIAN_H
