

//	Dummy header
//	based on original in \usr\include
#ifndef _PMYTHREAD_H
#define	_PMYTHREAD_H

//#include <ndb_global.h>
//#include <my_pthread.h>

//#define	PTHREAD_MUTEX_INITIALIZER	{0, 0, 0, 0, 0, 0}
//#define PTHREAD_MUTEX_RECURSIVE 1

//int pthread_mutexattr_init(pthread_mutexattr_t *__mutex);
//int pthread_mutexattr_settype(pthread_mutexattr_t *__mutex, int mode);
//int pthread_mutexattr_destroy(pthread_mutexattr_t *__mutex);

//int pthread_join(pthread_t & __thread,int param);


//int pthread_setconcurrency(int new_level);
//int pthread_getconcurrency();
//int yield();


//#ifdef XXX

//	Avoids clash with pthread_creates within the ndb code
//#define pthread_create win_pthread_create
//#define pthread_exit win_pthread_exit


#pragma warning(disable:4786)

#include <winsock2.h>
#include <map>


typedef	struct	_pthread_cond {
	struct {
		unsigned short   __pthread_cond_flag[4];
		unsigned long 	__pthread_cond_type;
	} __pthread_cond_flags;
	unsigned long __pthread_cond_data;
} pthread_cond_t;

typedef struct _pthread_condattr_t{
	unsigned long type;
} pthread_condattr_t;

struct timespec {
        long    tv_sec;         /* seconds */
        long    tv_nsec;        /* and nanoseconds */
};

class CDWORDmap : public std::map <unsigned long,unsigned long> 
{
public:
	void Remove(unsigned long  key)
	{
		iterator i = find(key);
		while (i != end())
		{
			erase (key);
			i = find(key);
		}
	};

	void Add( unsigned long key)
	{
		Remove(key);
		insert(value_type(key,1));
	};

	bool Find(unsigned long  key)
	{
		iterator i = find(key);
		if (i == end()) return false;
		return true;
	};


};

enum
{
  PTHREAD_INHERIT_SCHED,
#define PTHREAD_INHERIT_SCHED   PTHREAD_INHERIT_SCHED
  PTHREAD_EXPLICIT_SCHED,
#define PTHREAD_EXPLICIT_SCHED  PTHREAD_EXPLICIT_SCHED
  PTHREAD_MUTEX_RECURSIVE
};
class pthread_mutex_t
{
public:
	HANDLE m_mutex;
	pthread_mutex_t();
	char m_name[40];
//	CSemaphore m_mutex;
//	CEvent m_event;
//	CSingleLock m_mutexLock;
//	CSingleLock m_eventLock;
	CDWORDmap m_owningThreads;
};

#define	PTHREAD_MUTEX_INITIALIZER pthread_mutex_t()

// Attribute for mutex.
typedef struct
{
  int __mutexkind;
} pthread_mutexattr_t;


// Attributes for threads.  
typedef struct __pthread_attr_s
{
  int __detachstate;
  int __schedpolicy;
//  struct __sched_param __schedparam;
  int __inheritsched;
  int __scope;
  size_t __guardsize;
  int __stackaddr_set;
  void *__stackaddr;
  size_t __stacksize;
} pthread_attr_t;

extern pthread_attr_t nullAttr;

struct sched_param
  {
    int sched_priority;
  };


class pthread_t
{
public:
	pthread_t();
	void operator =(void * threadId);
	operator void * ();

	void * m_threadId;
	HANDLE m_threadHandle;
};
// Create a thread with given attributes ATTR (or default attributes
//   if ATTR is NULL), and call function START_ROUTINE with given
//   arguments ARG.  

extern "C"
{
	int pthread_create (pthread_t * __threadp,
		const pthread_attr_t * __attr = &nullAttr,
		void *(*__start_routine) (void *) = 0,
		void * __arg = 0);
	
	int pthread_attr_setschedparam (pthread_attr_t * __attr,
		const struct sched_param * __param);


	int pthread_kill(pthread_t & __thread,int param);
	int pthread_join(pthread_t & __thread,int param);
	int pthread_exit(void * arg);
	
//Return in *PARAM the scheduling parameters of *ATTR.  
	int pthread_attr_getschedparam (const pthread_attr_t * __attr,
		struct sched_param * __param);
	
//Set scheduling inheritance mode in *ATTR according to INHERIT.  
	int pthread_attr_setinheritsched (pthread_attr_t *__attr,
		int __inherit);

	int pthread_mutex_trylock(pthread_mutex_t *mutex);

	int pthread_mutex_lock (pthread_mutex_t *__mutex);
	
// Initialize MUTEX using attributes in *MUTEX_ATTR, or use the
//	default values if later is NULL.  
	int pthread_mutex_init (pthread_mutex_t * __mutex,

	const pthread_mutexattr_t * __mutex_attr);
	
    int pthread_mutexattr_init(pthread_mutexattr_t *__mutex);

    int pthread_mutexattr_settype(pthread_mutexattr_t *__mutex, int mode);

    int pthread_mutexattr_destroy(pthread_mutexattr_t *__mutex);
	
	int pthread_mutex_unlock (pthread_mutex_t *__mutex);

	int pthread_attr_getdetachstate (const pthread_attr_t *__attr,
		int *__detachstate);

	int pthread_mutex_destroy(pthread_mutex_t *__mutex);


	int pthread_cond_signal(pthread_cond_t *cond);

	int pthread_cond_wait(pthread_cond_t *cond, pthread_mutex_t *mutex);
	int pthread_cond_timedwait(pthread_cond_t *cond, pthread_mutex_t *mutex, const struct timespec *abstime); 

	
    int pthread_cond_destroy(pthread_cond_t *cond);
    int pthread_cond_broadcast(pthread_cond_t *cond);


	int pthread_cond_init(pthread_cond_t *cond,
		const pthread_condattr_t *attr);

	int pthread_setconcurrency(int new_level);
	int pthread_getconcurrency();
	int yield();
}


//#endif XXX

#endif
