
#include <pthread.h>
#include <sys/socket.h>
#include <stddef.h> 
#include <ctype.h> 
#include <string.h> 

#pragma comment (lib, "Ws2_32.lib")

char * optarg;

int inet_aton(const char * cp , struct in_addr * inp )
{
	inp ->S_un.S_addr = inet_addr(cp);
	return TRUE;
};


int getopt ( 
    int argc, 
    char** argv, 
    char* pszValidOpts) 
{ 
    static int iArg = 1; 
    char chOpt; 
    char* psz = NULL; 
    char* pszParam = NULL; 
 
    if (iArg < argc) 
    { 
        psz = &(argv[iArg][0]); 
        if (*psz == '-' || *psz == '/') 
        { 
            // we have an option specifier 
            chOpt = argv[iArg][1]; 
            if (isalnum(chOpt) || ispunct(chOpt)) 
            { 
                // we have an option character 
                psz = strchr(pszValidOpts, chOpt); 
                if (psz != NULL) 
                { 
                    // option is valid, we want to return chOpt 
                    if (psz[1] == ':') 
                    { 
                        // option can have a parameter 
                        psz = &(argv[iArg][2]); 
                        if (*psz == '\0') 
                        { 
                            // must look at next argv for param 
                            if (iArg+1 < argc) 
                            { 
                                psz = &(argv[iArg+1][0]); 
                                if (*psz == '-' || *psz == '/') 
                                { 
                                    // next argv is a new option, so param 
                                    // not given for current option 
                                } 
                                else 
                                { 
                                    // next argv is the param 
                                    iArg++; 
                                    pszParam = psz; 
                                } 
                            } 
                            else 
                            { 
                                // reached end of args looking for param 
                            } 
 
                        } 
                        else 
                        { 
                            // param is attached to option 
                            pszParam = psz; 
                        } 
                    } 
                    else 
                    { 
                        // option is alone, has no parameter 
                    } 
                } 
                else 
                { 
                    // option specified is not in list of valid options 
                    chOpt = -1; 
                    pszParam = &(argv[iArg][0]); 
                } 
            } 
            else 
            { 
                // though option specifier was given, option character 
                // is not alpha or was was not specified 
                chOpt = -1; 
                pszParam = &(argv[iArg][0]); 
            } 
        } 
        else 
        { 
            // standalone arg given with no option specifier 
            chOpt = 1; 
            pszParam = &(argv[iArg][0]); 
        } 
    } 
    else 
    { 
        // end of argument list 
        chOpt = -1; 
    } 
 
    iArg++; 

    if (chOpt)
		optarg = pszParam;
	else
		optarg = 0;

	return chOpt;
} 

int
send(
    SOCKET s,
    const void * buf,
    int len,
    int flags
    )
{
	return ::send(s,(const char *)buf,len,flags);
}

int
recv(
    SOCKET s,
    void * buf,
    int len,
    int flags
    )
{
	return ::recv(s,(char *)buf,len,flags);
}


int fcntl(int fildes, int cmd, ...)
{
	return 0;
}

#ifdef XXX
int pthread_join(pthread_t & __thread,int param)
{
	return 0;
/*    DWORD status;

    if(WaitForSingleObject(__thread.m_threadHandle, INFINITE) == WAIT_OBJECT_0
        && GetExitCodeThread(__thread.m_threadHandle, &status))
    {
        CloseHandle(__thread.m_threadHandle);
        __thread.m_threadId = 0;
        return 0;
    }
    return -1; 
	*/
}

#endif XXX

pthread_attr_t nullAttr = {0,0,0,0,0,0,0,0};

pthread_mutex_t::pthread_mutex_t() : 
	m_mutex(0)
{
		m_name[0] = 0;
};


int  pthread_mutex_unlock(class pthread_mutex_t *)
{
	return 0;

}
int  pthread_mutex_lock(class pthread_mutex_t *)
{
	return 0;
}


int pthread_mutex_trylock(pthread_mutex_t *mutex)
{
	return 0;
}


int pthread_mutex_destroy(pthread_mutex_t *__mutex)
{
	return 0;
}



int  pthread_attr_setinheritsched(struct __pthread_attr_s *,int)
{
	return 0;
}
int  pthread_attr_setschedparam(struct __pthread_attr_s *,struct sched_param const *)
{
	return 0;
}
int  pthread_attr_getschedparam(struct __pthread_attr_s const *,struct sched_param *)
{
	return 0;
}

int pthread_kill(pthread_t & __thread,int param)
{
	return 0;
}

int pthread_join(pthread_t & __thread,int param)
{
    DWORD status;

    if(WaitForSingleObject(__thread.m_threadHandle, INFINITE) == WAIT_OBJECT_0
        && GetExitCodeThread(__thread.m_threadHandle, &status))
    {
        CloseHandle(__thread.m_threadHandle);
        __thread.m_threadId = 0;
        return 0;
    }
    return -1; 
}

int pthread_exit(void * arg)
{
	return 0;
}


typedef void * (pThreadFunc)(void*);

int pthread_create (pthread_t * __threadp,
                           const pthread_attr_t * __attr,
                           void *(*__start_routine) (void *),
                           void * __arg)
{
	LPTHREAD_START_ROUTINE f = (LPTHREAD_START_ROUTINE) __start_routine;

	DWORD threadId;
	__threadp ->m_threadHandle = CreateThread(0,0,f,__arg,0,&threadId);
	__threadp ->m_threadId = (void*)threadId;

	return 0;
}

int pthread_mutex_init(class pthread_mutex_t *,const pthread_mutexattr_t *)
{
	return 0;
}



pthread_t::pthread_t() :m_threadId(0),m_threadHandle(0)
{
}

void pthread_t::operator = (void * threadId)
{
	m_threadId = threadId;
};

pthread_t::operator void *()
{
	return m_threadId;
};


int pthread_mutexattr_destroy(pthread_mutexattr_t *__mutex)
{
	return 0;
}
int pthread_mutexattr_init(pthread_mutexattr_t *__mutex)
{
	return 0;
}

int pthread_mutexattr_settype(pthread_mutexattr_t *__mutex, int mode)
{
	return 0;
}

static int concurrency = 0;

int pthread_setconcurrency(int new_level)
{
	concurrency = new_level;
	return 0;
}

int pthread_getconcurrency()
{
	return concurrency;
}

int yield()
{
	return 0;
}

