/* ----------------------------------------------------------------------- */
/*  GenomeLib.h : interface of the genome library                          */
/*  Author : Ji HongKai ; Time: 2004.08                                    */
/*  Abridged version Nigel Dyer August 2011								   */
/* ----------------------------------------------------------------------- */

#define CODE_BATCH_LEN 60
#ifdef WIN32
#define OS_SYSTEM "WINDOWS"
#define DEL_COM "del"
#define MOVE_COM "move"
#else
#define OS_SYSTEM "UNIX"
#define DEL_COM "rm"
#define MOVE_COM "mv"
#endif
/* ----------------------------------------------------------------------- */
/* ----------------------------------------------------------------------- */ 
/*  Genome_Code_4bit_GetSeq:                                               */
/*  Get sequences from Genome Sequence coding files.                       */
/*  1 byte for 2 bases.                                                    */
/*  0000: A; 0001: C; 0010: G; 0011: T.                                    */
/*  0100: a; 0101: c; 0110: g; 0111: t.                                    */
/*  1000: N;                                                               */ 
/* ----------------------------------------------------------------------- */ 
struct tagSequence *Genome_Code_4bit_GetSeq(char strInFile[], int nStart, int nEnd);
struct tagSequence *Genome_Code_4bit_GetCompSeq(char strInFile[], int nStart, int nEnd);

