/* ----------------------------------------------------------------------- */
/*  SequenceLib.h : interface of the sequence library                      */
/*  Author : Ji HongKai ; Time: 2004.07                                    */
/*  Abridged version Nigel Dyer August 2011								   */
/* ----------------------------------------------------------------------- */

/* ----------------------------------------------------------------------- */
/*                              Declaration                                */
/* ----------------------------------------------------------------------- */
#define FASTA_LINE_LEN 60
/* the length of sequence names */
#define ALIAS_LENGTH 255

/* ----------------------------------------------------------------------- */ 
/*                                 Struct                                  */
/* ----------------------------------------------------------------------- */ 

/* tagSequence is used for manipulating (nucleotide) sequences. For example,    */
/* extract a segment from a given sequence, get complementary sequence etc.     */
struct tagSequence
{
	/* m_strAlias is a alias of the sequence. */
	char m_strAlias[ALIAS_LENGTH];
	/* m_nIndex is a index for this sequence. */
	int m_nIndex;
	/* m_nLength is the length of the sequence. */
	int m_nLength;
	/* m_pSequence is the real sequence. */
	struct tagString *m_pSequence;
	/* m_nStart and m_nEnd is the position in the segment named by alias */
	int m_nStart;
	int m_nEnd;
	/* m_pNext is the pointer to the next sequence */
	struct tagSequence *m_pNext;
};

/* ----------------------------------------------------------------------- */ 
/*                                Functions                                */
/* ----------------------------------------------------------------------- */ 

/* new and delete actions */
struct tagSequence *SequenceCreate();
void SequenceDelete(struct tagSequence *pDelSequence);

