#ifndef STRINGLIB_DEF
#define STRINGLIB_DEF
/* ----------------------------------------------------------------------- */
/*                                 Macro                                   */
/* ----------------------------------------------------------------------- */
#define LINE_LENGTH 255
#define MED_LINE_LENGTH 1024
#define MEDLONG_LINE_LENGTH 20000
#define LONG_LINE_LENGTH 65535
#define PROC_SUCCESS 1
#define PROC_FAILURE 0
#define WORD_SEPARATORS "\t "

/* ----------------------------------------------------------------------- */ 
/*                                 Struct                                  */
/* ----------------------------------------------------------------------- */ 
/* tagString is used for string processing. */
struct tagString
{
	/* pString is used for recording string. */
	char *m_pString;
	/* m_nLength is used for recording the length of string. */
	long m_nLength;
};

/* tagString is used for linking a pair of strings. */
struct tagStringPair
{
	/* m_pStr is used for recording string. */
	struct tagString *m_pStr1;
	struct tagString *m_pStr2;
	/* m_pNext is used for constructing linear list */
	struct tagStringPair *m_pNext;
};
char* StrTrimRight(char strLongLine[]);
char* StrTrimLeft(char strLongLine[]);
void DeleteString(struct tagString *pDelString);
struct tagString *StringAddTail(struct tagString **pString, char strLine[]);

#endif
